Package gov.nasa.gsfc.sscweb.schema

# Class KmlRequest

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Request
gov.nasa.gsfc.sscweb.schema.LocationRequest
gov.nasa.gsfc.sscweb.schema.KmlRequest

public class KmlRequest extends LocationRequest
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}LocationRequest"> <sequence> <element name="Trajectory" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="NorthBFieldTraceFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="SouthBFieldTraceFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `northBFieldTraceFootpoint`
  Specifies whether north B-Field trace information is requested.
  `protected boolean`
  `southBFieldTraceFootpoint`
  Specifies whether south B-Field trace information is requested.
  `protected boolean`
  `trajectory`
  Specifies whether trajectory information is requested.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.LocationRequest

  `satellites`

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `bFieldModel, description, timeInterval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmlRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isNorthBFieldTraceFootpoint()`
  Specifies whether north B-Field trace information is requested.
  `boolean`
  `isSouthBFieldTraceFootpoint()`
  Specifies whether south B-Field trace information is requested.
  `boolean`
  `isTrajectory()`
  Specifies whether trajectory information is requested.
  `void`
  `setNorthBFieldTraceFootpoint(boolean value)`
  Sets the value of the northBFieldTraceFootpoint property.
  `void`
  `setSouthBFieldTraceFootpoint(boolean value)`
  Sets the value of the southBFieldTraceFootpoint property.
  `void`
  `setTrajectory(boolean value)`
  Sets the value of the trajectory property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.LocationRequest

  `getSatellites`

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `getBFieldModel, getDescription, getTimeInterval, setBFieldModel, setDescription, setTimeInterval`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### trajectory

    protected boolean trajectory
    Specifies whether trajectory information is requested.

  - ### northBFieldTraceFootpoint

    protected boolean northBFieldTraceFootpoint
    Specifies whether north B-Field trace information is requested.

  - ### southBFieldTraceFootpoint

    protected boolean southBFieldTraceFootpoint
    Specifies whether south B-Field trace information is requested.

- ## Constructor Details

  - ### KmlRequest

    public KmlRequest()

- ## Method Details

  - ### isTrajectory

    public boolean isTrajectory()
    Specifies whether trajectory information is requested.

  - ### setTrajectory

    public void setTrajectory(boolean value)
    Sets the value of the trajectory property.

  - ### isNorthBFieldTraceFootpoint

    public boolean isNorthBFieldTraceFootpoint()
    Specifies whether north B-Field trace information is requested.

  - ### setNorthBFieldTraceFootpoint

    public void setNorthBFieldTraceFootpoint(boolean value)
    Sets the value of the northBFieldTraceFootpoint property.

  - ### isSouthBFieldTraceFootpoint

    public boolean isSouthBFieldTraceFootpoint()
    Specifies whether south B-Field trace information is requested.

  - ### setSouthBFieldTraceFootpoint

    public void setSouthBFieldTraceFootpoint(boolean value)
    Sets the value of the southBFieldTraceFootpoint property.